Package org.apache.commons.imaging.icc

# Class IccProfileInfo

java.lang.Object
org.apache.commons.imaging.icc.IccProfileInfo

public class IccProfileInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `cmmTypeSignature`
  `final int`
  `colorSpace`
  `final int`
  `deviceManufacturer`
  `final int`
  `deviceModel`
  `final int`
  `primaryPlatformSignature`
  `final int`
  `profileConnectionSpace`
  `final int`
  `profileCreatorSignature`
  `final int`
  `profileDeviceClassSignature`
  `final int`
  `profileFileSignature`
  `final int`
  `profileSize`
  `final int`
  `profileVersion`
  `final int`
  `renderingIntent`
  `final int`
  `variousFlags`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IccProfileInfo(byte[] data, int profileSize, int cmmTypeSignature, int profileVersion, int profileDeviceClassSignature, int colorSpace, int profileConnectionSpace, int profileFileSignature, int primaryPlatformSignature, int variousFlags, int deviceManufacturer, int deviceModel, int renderingIntent, int profileCreatorSignature, byte[] profileId, IccTag[] tags)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dump(String prefix)`
  `byte[]`
  `getData()`
  `byte[]`
  `getProfileId()`
  `IccTag[]`
  `getTags()`
  `boolean`
  `isSrgb()`
  `String`
  `toString()`
  `String`
  `toString(String prefix)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### profileSize

    public final int profileSize

  - ### cmmTypeSignature

    public final int cmmTypeSignature

  - ### profileVersion

    public final int profileVersion

  - ### profileDeviceClassSignature

    public final int profileDeviceClassSignature

  - ### colorSpace

    public final int colorSpace

  - ### profileConnectionSpace

    public final int profileConnectionSpace

  - ### profileFileSignature

    public final int profileFileSignature

  - ### primaryPlatformSignature

    public final int primaryPlatformSignature

  - ### variousFlags

    public final int variousFlags

  - ### deviceManufacturer

    public final int deviceManufacturer

  - ### deviceModel

    public final int deviceModel

  - ### renderingIntent

    public final int renderingIntent

  - ### profileCreatorSignature

    public final int profileCreatorSignature

- ## Constructor Details

  - ### IccProfileInfo

    public IccProfileInfo(byte[] data, int profileSize, int cmmTypeSignature, int profileVersion, int profileDeviceClassSignature, int colorSpace, int profileConnectionSpace, int profileFileSignature, int primaryPlatformSignature, int variousFlags, int deviceManufacturer, int deviceModel, int renderingIntent, int profileCreatorSignature, byte[] profileId, IccTag[] tags)

- ## Method Details

  - ### dump

    public void dump(String prefix)

  - ### getData

    public byte[] getData()

  - ### getProfileId

    public byte[] getProfileId()

  - ### getTags

    public IccTag[] getTags()

  - ### isSrgb

    public boolean isSrgb()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(String prefix) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`